echo "Assembling bootloader"
nasm -f bin -o bootsect source/boot.asm || exit

echo "Assembling kernel"
nasm -f bin -o system/kernel.bin source/system/kernel.asm || exit

echo "Assembling keyboard layout"
nasm -f bin -o system/layout.sys source/system/layout.asm || exit

echo "Assembling glaux-mono font"
nasm -f bin -o system/fonts/glaux-mono.sys source/system/fonts/glaux-mono.asm || exit

echo "'bootsect' must be copied to the start of a USB flash disk formatted with ext2."
echo "'system' must be placed at the root directory of the USB flash disk."
echo "Other files are optional."
